docs

# RequestLocationKeyboardButton

data class RequestLocationKeyboardButton (val text: String ) : KeyboardButton
Content copied to clipboard

Private chats only. When user will tap on this button, his location will be sent to the bot. You will be able to catch this location in updates and data using dev.inmo.tgbotapi.extensions.behaviour_builder.triggers_handling.onLocation in case you are using Behaviour Builder OR with dev.inmo.tgbotapi.updateshandlers.FlowsUpdatesFilter.messagesFlow and kotlinx.coroutines.flow.filterIsInstance and filtering by type dev.inmo.tgbotapi.types.message.abstracts.CommonMessage and dev.inmo.tgbotapi.extensions.utils.onlyLocationContentMessages

## Constructors

RequestLocationKeyboardButton
Link copied to clipboard
fun RequestLocationKeyboardButton (text: String )
Content copied to clipboard

## Properties

requestLocation
Link copied to clipboard
val requestLocation : Boolean = true
Content copied to clipboard
text
Link copied to clipboard
open override val text : String
Content copied to clipboard